Skip to main content
GET
/
v2
/
webhook_subscriptions
List webhook subscriptions
curl --request GET \
  --url https://thirdparty.qonto.com/v2/webhook_subscriptions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://thirdparty.qonto.com/v2/webhook_subscriptions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://thirdparty.qonto.com/v2/webhook_subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "subscriptions": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "organization_id": "123e4567-e89b-12d3-a456-426614174000",
      "membership_id": "123e4567-e89b-12d3-a456-426614174000",
      "callback_url": "https://api.partner.com/webhooks/qonto",
      "types": [
        "v1/transactions",
        "v1/accounts",
        "v1/organizations",
        "v1/memberships",
        "v1/consent-revocations",
        "v1/cards",
        "v1/payment-links",
        "v1/payment-links-connections",
        "v1/beneficiaries",
        "v1/client-invoices",
        "v1/terminal-payments",
        "v1/clients",
        "v1/products"
      ],
      "created_at": "2025-01-24T10:55:00Z",
      "updated_at": "2025-01-24T10:55:00Z",
      "description": "Production webhook for transactions"
    }
  ],
  "meta": {
    "current_page": 2,
    "next_page": 3,
    "prev_page": 1,
    "total_pages": 11,
    "total_count": 210,
    "per_page": 20
  }
}
{
"code": "<string>",
"detail": "<string>"
}
{
"code": "<string>",
"detail": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Query Parameters

per_page
integer
default:100

Number of items to return per page (1-100)

Required range: 1 <= x <= 100
page
integer
default:1

Page number to return

Required range: x >= 1

Response

Webhook subscriptions retrieved successfully

subscriptions
object[]
required
meta
object
required

Metadata for paginated responses